Listar o conjunto limitado de visualizações salvas da table, com as referências a colunas removidas descartadas na leitura. O conjunto limitado é retornado em uma única página; nextCursor é sempre null.
GET
/api/v2/tables/{tableId}/viewsX-API-Key<token>
Sua API key do Studio, pessoal ou com escopo de workspace. Gere uma em Settings e depois API Keys. As operações que rejeitam API keys de workspace dizem isso na própria descrição.
Em: header
Parâmetros de path
tableId*string
Identificador único da table.
Tamanho
1 <= lengthParâmetros de query
workspaceId*string
Workspace dono da table.
Tamanho
1 <= lengthCorpo da resposta
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://agent-studio.seeyu.ai/api/v2/tables/string/views?workspaceId=string" \ -H "X-API-Key: YOUR_API_KEY"{
"data": [
{
"id": "string",
"tableId": "string",
"name": "string",
"config": {
"columnWidths": {
"property1": 1,
"property2": 1
},
"columnOrder": [
"string"
],
"pinnedColumns": [
"string"
],
"hiddenColumns": [
"string"
],
"filter": null,
"sort": [
{
"field": "string",
"direction": "asc"
}
]
},
"isDefault": true,
"createdByEmail": "user@example.com",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient workspace permissions",
"details": {
"code": "INSUFFICIENT_WORKSPACE_ROLE"
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "API rate limit exceeded",
"details": {
"retryAfter": "2026-01-01T00:00:30.000Z"
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable"
}
}